/api/v0/returns

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Get returns

GET /api/v0/returns/?fromDate=:fromDate\&toDate=:toDate

Returns details for customer returned products between the given fromDateand (optional) toDate. The API will default to the current time if the optional toDate parameter is not provided.

Sample Response

{
  "data": {
    "returnItems": [
      {
        "rmaNumber": "ERZD-2743",
        "customerOrderId": "280869",
        "customerLineItemId": "2702257",
        "productId": "326270",
        "dateOfSale": "2024-08-07T14:54:29.239Z",
        "dateReceived": "2024-08-07T14:54:29.239Z",
        "partNumber": "CS-RS64F-NB-2P",
        "returnAction": "Back in Inventory"
      }
    ]
  }
}
returnItem
rmaNumberUnique Identifier that Spreetail uses to keep track of returned items
customerOrderIdUnique Identifier that represents a sale submitted by a PS Brand
customerLineItemIdIdentifier that represents the individual item within a sale
productIdThe fulfillment center from where the package originated
dateOfSaleThe date that the sale occurred
dateReceivedThe date the item was received by the reverse logistics team
partNumberThe name of the product within Spreetail’s system
returnActionThe action that was taken once the product was returned to Spreetail
Query Params
date-time
required

From date of returns - UTC(YYYY-MM-DD)

date-time

To date of returns - UTC(YYYY-MM-DD)

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

401

Unauthorized

403

Forbidden

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json